Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class TcpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

Direct Known Subclasses:
  ExceptionReturnTcpMessageReceiver, HttpMessageReceiver, SslMessageReceiver

    public class TcpMessageReceiver

extends AbstractMessageReceiver
implements javax.resource.spi.work.Work

`TcpMessageReceiver` acts like a TCP server to receive socket requests.

Nested Class Summary
`protected class` | `TcpMessageReceiver.TcpWorker`

Field Summary
`protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicBoolean` | `disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, connector, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`TcpMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`ServerSocket` | `getServerSocket()` Obtain the serverSocket
`void` | `release()`
`void` | `run()`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### disposing

    protected final edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicBoolean disposing

Constructor Detail

### TcpMessageReceiver

    public TcpMessageReceiver(Connector connector,
                              FlowConstruct flowConstruct,
                              InboundEndpoint endpoint)
                       throws CreateException

Throws:
  `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws ConnectException

  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `ConnectException`

### doDisconnect

    protected void doDisconnect()
                         throws ConnectException

  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `ConnectException`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### getServerSocket

    public ServerSocket getServerSocket()

  Obtain the serverSocket

  Returns:
    the server socket for this server

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.